Last Comment Bug 650489 - "ASSERTION: Can't find frame in lines!" with -moz-column, break-word
: "ASSERTION: Can't find frame in lines!" with -moz-column, break-word
Status: RESOLVED FIXED
: assertion, testcase
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 263359
Blocks: stirdom randomstyles
  Show dependency treegraph
 
Reported: 2011-04-16 05:31 PDT by Jesse Ruderman
Modified: 2011-06-08 23:39 PDT (History)
6 users (show)
smontagu: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (250 bytes, application/xhtml+xml)
2011-04-16 05:31 PDT, Jesse Ruderman
no flags Details
stack traces (5.41 KB, text/plain)
2011-04-16 05:31 PDT, Jesse Ruderman
no flags Details

Description Jesse Ruderman 2011-04-16 05:31:17 PDT
Created attachment 526483 [details]
testcase

###!!! ASSERTION: Can't find frame in lines!: 'hasNext', file layout/base/nsBidiPresUtils.cpp, line 436

###!!! ABORT: comparing iterators over different lists: 'mListLink == aOther.mListLink', file nsLineBox.h, line 722

May be related to bug 480686, which triggers only the abort.
Comment 1 Jesse Ruderman 2011-04-16 05:31:59 PDT
Created attachment 526484 [details]
stack traces
Comment 2 Simon Montagu :smontagu 2011-04-17 03:35:43 PDT
AdvanceLineIteratorToFrame is the source of a lot of grief. Is there no simpler way to get from a frame to its containing line?
Comment 3 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-04-17 17:21:45 PDT
No.
Comment 4 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-04-17 17:23:14 PDT
I mean, there's no direct reference from a frame to its line, so we have to search for it, and given the frame structures we have, that's not trivial as well as being a potential performance issue.

Adding a reference from a frame to its line would be possible but maintaining it would also be error-prone.
Comment 5 Simon Montagu :smontagu 2011-06-08 23:35:53 PDT
http://hg.mozilla.org/mozilla-central/rev/a2450f7a0618 from bug 263359 includes the test as a crashtest.
Comment 6 Simon Montagu :smontagu 2011-06-08 23:39:28 PDT
Fixed by bug 263359

Note You need to log in before you can comment on or make changes to this bug.